#!/bin/sh
echo 'name: deepseq
version: 1.1.0.2
id: deepseq-1.1.0.2-0465f803f7d27d264907e7e03e72a71f

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
description: This package provides methods for fully evaluating data structures
             (\"deep evaluation\"). Deep evaluation is often used for adding
             strictness to a program, e.g. in order to force pending exceptions,
             remove space leaks, or force lazy I/O to happen. It is also useful
             in parallel programs, to ensure pending work does not migrate to the
             wrong thread.
             .
             The primary use of this package is via the '\''deepseq'\'' function, a
             \"deep\" version of '\''seq'\''. It is implemented on top of an '\''NFData'\''
             typeclass (\"Normal Form Data\", data structures with no unevaluated
             components) which defines strategies for fully evaluating different
             data types.
category: Control
author:
pkgpath: devel/hs-deepseq
exposed: True
exposed-modules: Control.DeepSeq
hidden-modules:
import-dirs: /usr/local/lib/ghc/deepseq-1.1.0.2
library-dirs: /usr/local/lib/ghc/deepseq-1.1.0.2
hs-libraries: HSdeepseq-1.1.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.3.0.2-143060371bda4ff52c270d1067551fe8
         base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         containers-0.4.0.0-b4885363abca642443ccd842502a3b7e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-deepseq-1.1.0.2/html/deepseq.haddock
haddock-html: /usr/local/share/doc/hs-deepseq-1.1.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
